ChangeSet 1.1587.12.20, 2004/04/29 15:52:30-07:00, eike-hotplug@sf-tec.de

[PATCH] ACPI PCI Hotplug: add a BUG() where one should be

If there is a condition with the comment "should never happen" it is a good
place for a BUG() if it is ever reached.


 drivers/pci/hotplug/acpiphp_glue.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)


diff -Nru a/drivers/pci/hotplug/acpiphp_glue.c b/drivers/pci/hotplug/acpiphp_glue.c
--- a/drivers/pci/hotplug/acpiphp_glue.c	Mon May 17 17:05:16 2004
+++ b/drivers/pci/hotplug/acpiphp_glue.c	Mon May 17 17:05:16 2004
@@ -1180,7 +1180,8 @@
 	}
 
 	/* should never happen! */
-	err("%s: no object for id %d\n",__FUNCTION__, id);
+	err("%s: no object for id %d\n", __FUNCTION__, id);
+	WARN_ON(1);
 	return 0;
 }
 
